stages:
  - build

image: docker:latest

services:
  - name: docker:dind
    command: [ "--insecure-registry=registry.cslab" ]

before_script:
  - docker info

build:
  stage: build
  script:
    - docker build
        --tag registry.cslab/prometheus/apcupsd-exporter:latest
        .
    - docker push registry.cslab/prometheus/apcupsd-exporter:latest
  tags:
    - dind
